Page MenuHomePhabricator

API CORS preflight response should allow Api-User-Agent header
Closed, ResolvedPublic

Description

Quoth Gergő Tisza on mediawiki-api:

There doesn't seem to be any mechanism to set Access-Control-Allow-Headers
accordingly for cross-site requests.

Event Timeline

Anomie created this task.Dec 1 2014, 2:51 PM
Anomie claimed this task.
Anomie raised the priority of this task from to Needs Triage.
Anomie updated the task description. (Show Details)
Anomie moved this task to Needs Review/Feedback on the MediaWiki-Core-Team board.
Anomie changed Security from none to None.
Anomie added subscribers: Anomie, Tgr.

Change 176667 had a related patch set uploaded (by Anomie):
API: Add Access-Control-Allow-Headers in CORS preflight response

https://gerrit.wikimedia.org/r/176667

Patch-For-Review

Change 176667 merged by jenkins-bot:
API: Add Access-Control-Allow-Headers in CORS preflight response

https://gerrit.wikimedia.org/r/176667

Anomie closed this task as Resolved.Dec 3 2014, 2:54 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Dec 8 2014, 10:54 PM